passkeyRegistrationOptions
POST
/api/v1/me/security/passkeys/options
const url = 'https://example.com/api/v1/me/security/passkeys/options';const options = {method: 'POST', headers: {'X-CSRF-Token': 'example'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/me/security/passkeys/options \ --header 'X-CSRF-Token: example'Passkey registration options. Requires an enrolled dashboard session.
Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters”X-CSRF-Token
required
string
Responses
Section titled “ Responses ”Creation options and a challenge token
Media typeapplication/json
object
data
required
object
challengeToken
required
string
options
required
WebAuthn public-key credential creation options for navigator.credentials.create(), serialized with base64url binary fields. Consumed by the platform authenticator rather than field by field.
object
key
additional properties
any
Examplegenerated
{ "data": { "challengeToken": "example", "options": {} }}Passkeys are unavailable on this installation